import { StringMap } from '../types/commons';
import { ChartData, ChartDataItem } from '../view-chart/public-api';
import { Indicator, MetricApiParams, MetricResult } from './types';
export declare const CHART_LIMIT_MAX_UNIT_VALUE = 800;
export declare function dependOnIndicatorSeries(res: MetricResult[], indicator: Indicator[]): ChartData[];
export declare function dependOnDataSeries(res: MetricResult[], indicators: Indicator[]): ChartData[];
export declare function getMetricName(metricKey: string, metric: StringMap): string;
export declare function fillNullChartData({ start, end, step }: MetricApiParams, res?: Array<ChartDataItem<{
    x: number;
    y: number;
}>>, stepLine?: boolean): any[];
export declare function unitDealWith(data: MetricResult[]): boolean;
export declare function checkInterval(time: MetricApiParams, cacheTime: MetricApiParams): boolean;
